<template>
    <div class="account_message">
		<div class="account_message_title modal_title_text">
			<div class="">
				消息中心
			</div>
			<div class="account_message_title_setting">设置</div>
		</div>
		<a-tabs class="account_message_body" v-model:activeKey="activeKey">
			<a-tab-pane key="1" tab="系统消息">Content of Tab Pane 1</a-tab-pane>
			<a-tab-pane key="2" tab="私信" force-render>Content of Tab Pane 2</a-tab-pane>
			<a-tab-pane key="3" tab="评论">Content of Tab Pane 3</a-tab-pane>
			<a-tab-pane key="4" tab="点赞">Content of Tab Pane 3</a-tab-pane>
			<a-tab-pane key="5" tab="客服">Content of Tab Pane 3</a-tab-pane>
		</a-tabs>
    </div>
</template>
<script lang="ts">
import { defineComponent,computed,ref,reactive,nextTick,toRefs,createVNode} from 'vue'
import { Https } from "@/tool/https";
import { useRouter,useRoute } from 'vue-router'
import { Modal,message } from 'ant-design-vue';
import { useStore } from "vuex";
import { setCookie, getCookie, WriteCookie } from "@/tool/cookie";
import { useI18n } from 'vue-i18n'
export default defineComponent({
    components:{
    },
    setup() {
		const router = useRouter()
        const store = useStore();
		let accountMessage = reactive({
			activeKey: ref('1'),
		})
		// provide('exhibitionList',exhibitionList)
		let setUserData = ()=>{
			router.push({path:'/home/account/accountEdit'})
		}
        return{
           ...toRefs(accountMessage),
		   setUserData,
        }
    },
    data(){
        return{
            
        }
    },
})
</script>
<style lang="less" scoped>
.account_message{
	width: 100%;
	.account_message_title{
		display: flex;
		align-items: center;
		justify-content: space-between;
		padding: 2rem 5rem;
		border-bottom: 1px solid #e9eaec;
		.account_message_title_setting{
			cursor: pointer;
		}
	}
	.account_message_body{
		padding: 0rem 5rem;
		:deep(.ant-tabs-nav){
			.ant-tabs-nav-wrap{
				.ant-tabs-tab-active{
					.ant-tabs-tab-btn{
						color: #39215b;
						font-weight: 900;
					}
				}
			}
			.ant-tabs-tab:hover{
				color: #39215b;
			}
			.ant-tabs-ink-bar{
				background: #39215b;
			}
		}
	}
}
</style>
